Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 214055 (scummvm)

Summary: Review Request: scummvm - Interpreter for several adventure games
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: Package ReviewAssignee: Christopher Stone <chris.stone>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: matthias, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-08 10:23:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779, 214057, 214091, 214113, 214150    

Description Hans de Goede 2006-11-05 08:11:43 UTC
Spec URL: http://people.atrpms.net/~hdegoede/scummvm.spec
SRPM URL: http://people.atrpms.net/~hdegoede/scummvm-0.9.1-1.fc7.src.rpm
Description:
ScummVM is an implementation of the SCUMM (Script Creation Utility for
Maniac Mansion) engine used in various Lucas Arts games such as Monkey
Island and Day of the Tentacle. At this time ScummVM should be considered
ALPHA software, as it's still under heavy development. Be aware that while
many games will work with few major bugs, crashes can happen. Also note   
that saved games can, and probably will, be incompatible between releases.

Also ScummVM is capable of playing several non-SCUMM games.

---

As discussed on f-e-l, scummvm is moving from Livna to FE since there have been released two Free games for it. There is one downside to being in FE.

I've had to disable mp3 and mpeg2 video support. mp3 support is not a problem since scummvm also supports ogg and the involved media packs are available in both ogg and mp3 format. However the loose of mpeg2 video playback is unfortunate as that means that the cutscenes in the Broken Sword game cannot be
played. I believe this is a small disadvantage as it influences only one game and that the advantages of being in FE outway this disadvantage.

I'll request upstream to add theora support and to also provide theora versions of the involved media packs fixing this.

I'll also be submitting several game packages for scumm today and I'll add their bug numbers to this bug, so you will have something to test with when reviewing.

Comment 1 Hans de Goede 2006-11-05 08:26:52 UTC
Beneath a Steel Sky (floppy version) review is in bug 214057 .


Comment 2 Till Maas 2006-11-05 09:19:31 UTC
Why is configure invoked with "--disable-fluidsynth"? Fluidsynth is available in
Extras.

Comment 3 Hans de Goede 2006-11-05 12:01:02 UTC
Because it can also use fluidsynth through alsa and I didn't want to drag it in
as a dep. Especially since fluidsynth needs a good free GM soundfont2 file,
which currently is not available in FE AFAIK.


Comment 4 Hans de Goede 2006-11-05 17:18:30 UTC
And Beneath a Steel Sky (CD version) review is in bug 214091.


Comment 5 Hans de Goede 2006-11-06 08:51:27 UTC
And the last 2:
Flight of the Amazon Queen is bug 214113
Flight of the Amazon Queen (CD version) is bug 214150


Comment 6 Matthias Saou 2006-11-06 09:52:04 UTC
Quick comments :
- You don't need to use "--add-category X-Fedora" any more (it's useless)
- For all the icons/hicolor files, I'd use "install -D" to remove all mkdir lines
- The scummvm-icons could maybe be extracted at prep time with ImageMagick

Comment 7 Hans de Goede 2006-11-06 14:22:40 UTC
(In reply to comment #6)
> Quick comments :
> - You don't need to use "--add-category X-Fedora" any more (it's useless)
I know, but AFAIK the guidelines haven't been updated with regards to this, so
I'm keeping this as is for all my packages for now to keep things consistent.
I'll start fixing this to match the new guidelines when there are new guidelines
and as / when packages need updating fro something more important.

> - For all the icons/hicolor files, I'd use "install -D" to remove all mkdir lines
And right you would be, however I'm used to doing it this way, maybe its time to
change my habbits? But this works and is much easier to read for people who are
not known with the more obscure install cmdline options.

> - The scummvm-icons could maybe be extracted at prep time with ImageMagick

I've tried but the .ico file contains 8, 16 and 32 bit versions of each icon
(the 128x128 is only available in 32 bit) and ImageMagick fails on extracting
the 32 bit ones (the colors are all messed up).


Comment 8 Christopher Stone 2006-11-06 23:49:45 UTC
Hans,

I have a scummvm-tools package from Livna.  Do you plan on Obsoleting this
package or providing your own scummvm-tools package?  I am in the process of
starting a review, rpmlint is linting about not using --libdir in your
%configure. See rpmlint -I configure-without-libdir-spec for more information.

Comment 9 Hans de Goede 2006-11-07 07:45:51 UTC
(In reply to comment #8)
> Hans,
> 
> I have a scummvm-tools package from Livna.  Do you plan on Obsoleting this
> package or providing your own scummvm-tools package?

The plan is to move this to FE too, that is the last scumm related package, I
still need to send a mail to Andreas to coordinate this, then update the livna
package to the 0.9 release of the tools and submit it for review seperately.

> I am in the process of
> starting a review, rpmlint is linting about not using --libdir in your
> %configure. See rpmlint -I configure-without-libdir-spec for more information.

That is because the configure script in scummvm isn't a autoconf configure
script but a custom bashscript which doesn't understand -libdir, that is also
the reason why %configure isn't used.


Comment 10 Christopher Stone 2006-11-07 22:55:00 UTC
==== REVIEW CHECKLIST ====
- rpmlint output
E: scummvm configure-without-libdir-spec

Okay, covered in comment #9.  Should mention why you are not using libdir in
comments though.
- package named according to guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec file in American english
- spec file legible
- source match upstream
30a82ad466bae223875e66ee14b94904  scummvm-0.9.1.tar.bz2
- package successfully compiles and builds on FC5 x86_64
- all build dependencies listed in BR
- package does not use locales
- package does not contain shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package contains proper %clean
- macro usage consistent
- package contains code
- package does not contain large documentation
- files in %doc do not affect runtime
- no header or libraries files or devel subpackage required
- no pkgconfig files
- no .la files
- package contains proper .desktop scriptlets
- package does not own files or directories owned by other packages

APPROVED


==== SHOULD ====
- please add to configure comments something about no --libdir since rpmlint
gives an Error on this.

Comment 11 Hans de Goede 2006-11-08 10:23:56 UTC
Should fixed, imported and build, Thanks!